Opera - unmet dependancies

gabrielle harrison and Paul van den Bergen gabpaul at melbpc.org.au
Sun Sep 24 13:39:38 BST 2006


On Sun, 24 Sep 2006 21:22:42 +1000, Thilo Six <T.Six at gmx.de> wrote:
> Which Distri Version are using? Dapper, Breezy...?

Dapper...

$ uname -a
Linux beetlejuice 2.6.15-27-386 #1 PREEMPT Sat Sep 16 01:51:59 UTC 2006  
i686 GNU/Linux

> $ apt-cache policy opera
> opera:
>   Installiert:(keine)
>   Mögliche Pakete:9.00-20060616.7
>   Versions-Tabelle:
>      9.00-20060616.7 0
>         500 http://archive.canonical.com dapper-commercial/main Packages

$ apt-cache policy opera
opera:
   Installed: 9.00-20060616.7
   Candidate: 9.00-20060616.7
   Version table:
  *** 9.00-20060616.7 0
         500 http://archive.canonical.com dapper-commercial/main Packages
         100 /var/lib/dpkg/status


>
> $ aptitude show opera
> Package: opera
> New: yes
> State: not installed
> Version: 9.00-20060616.7
> Priority: optional
> Section: non-free/web
> Maintainer: Opera Packaging Team <packager at opera.com>
> Uncompressed Size: 12.7M
> Depends: libc6 (>= 2.1.3), xlib6g (>= 3.3.6) | xlibs | libxmu6,
> libqt3-mt (>= 3.3.4), libstdc++6

$ aptitude show opera
Package: opera
New: yes
State: installed
Automatically installed: no
Version: 9.00-20060616.7
Priority: optional
Section: non-free/web
Maintainer: Opera Packaging Team <packager at opera.com>
Uncompressed Size: 12.7M
Depends: libc6 (>= 2.1.3), xlib6g (>= 3.3.6) | xlibs | libxmu6, libqt3-mt  
(>=
          3.3.4), libstdc++6
Recommends: libaspell15
Suggests: flashplugin-nonfree | libflash-mozplugin
Conflicts: opera-static
Replaces: opera-static
Provides: www-browser, opera-static
Provided by: opera-static
Description: The Opera Web Browser
  Welcome to the Opera Web browser. It is smaller, faster, customizable,
  powerful, yet user-friendly. Opera eliminates sluggish performance, HTML
  standard violations, desktop domination, and instability. This robust Web
  browser lets you navigate the Web at incredible speed and offers you the  
best
  Internet experience. The binaries were built on Fedora Core 4 (Stentz)  
using
  gcc-4.0.0.



>
>
> as you can see here, opera does not directly depend on libqt3c102-mt,
> but libqt3-mt has somewhat a relation to it:
>
>
> $ aptitude show libqt3-mt
> .
> .
> .
> Conflicts: libqt3c102-mt, libqui1-emb, libqt3c-mt
>              ^^^^^^^^^^
>
> Just to see what depends on libqt3c102-mt i would:
> $ sudo aptitude purge libqt3c102-mt
>
> !!!!   do not plain accept it, read the ouput crefully, !!!!
> !!!!            if uncertain hit "n" to abort           !!!!
>
>
>
> and post it´s output here

$ sudo aptitude purge libqt3c102-mt
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done
Building tag database... Done
The following packages are unused and will be REMOVED:
   mozilla-firefox-locale-en-gb
0 packages upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 713kB will be freed.
Do you want to continue? [Y/n/?] n
Abort.

*shrug*


-- 
Dr Paul van den Bergen
Chance favours the prepared mind



More information about the kubuntu-users mailing list